diff --git a/debian/init b/debian/init
index b88bac1..0dc8372 100755
--- a/debian/init
+++ b/debian/init
@@ -25,7 +25,7 @@
 
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
 MYNAME=/etc/init.d/alsa-utils
-ALSACTLHOME=/var/run/alsa
+export ALSACTLHOME=/var/run/alsa
 
 [ -d "$ALSACTLHOME" ] || mkdir -p "$ALSACTLHOME"
 
diff --git a/debian/utils.sh b/debian/utils.sh
index a021331..eca0833 100644
--- a/debian/utils.sh
+++ b/debian/utils.sh
@@ -26,6 +26,9 @@ filter_amixer_output()
 # $CARDOPT
 unmute_and_set_level()
 {
+	if [ -d $ALSACTLHOME ]; then
+		export HOME="$ALSACTLHOME"
+	fi
 	{ [ "$2" ] && [ "$CARDOPT" ] ; } || bugout
 	amixer $CARDOPT -q set "$1" "$2" unmute 2>&1 | filter_amixer_output || :
 	return 0
@@ -35,6 +38,9 @@ unmute_and_set_level()
 # $CARDOPT
 mute_and_zero_level()
 {
+	if [ -d $ALSACTLHOME ]; then
+		export HOME="$ALSACTLHOME"
+	fi
 	{ [ "$1" ] && [ "$CARDOPT" ] ; } || bugout
 	amixer $CARDOPT -q set "$1" "0%" mute 2>&1 | filter_amixer_output || :
 	return 0
@@ -45,6 +51,9 @@ mute_and_zero_level()
 # $CARDOPT
 switch_control()
 {
+	if [ -d $ALSACTLHOME ]; then
+		export HOME="$ALSACTLHOME"
+	fi
 	{ [ "$2" ] && [ "$CARDOPT" ] ; } || bugout
 	amixer $CARDOPT -q set "$1" "$2" 2>&1 | filter_amixer_output || :
 	return 0
